OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- File List
- Globals

Data Structures
smallmatrix_type.hpp File Reference

Simple matrix class that allows allocating an item without the need to copy this->data needlessly. More...

`#include "alloc_func.hpp"`
`#include "mem_func.hpp"`

Go to the source code of this file.

## Data Structures
class | SmallMatrix< T >
| Simple matrix template class. More...

## Detailed Description

Simple matrix class that allows allocating an item without the need to copy this->data needlessly.

Definition in file smallmatrix_type.hpp.